int a = int.Parse(Console.ReadLine());
int b = int.Parse(Console.ReadLine());
int c = 1;
int max = Math.Max(a, b);
while(max>0)
{
    max /= 10;
    c *= 10;
}
c /= 10;
int x = Math.Min(a, b)+c;
int y = Math.Max(a, b);
int z = c;
int r = 1;
while(x>0)
{
    int t = x % 10;
    int p = y % 10;
    c+=r*Math.Max(t, p);
    x/= 10;
    y /= 10;
    r*=10;
}
c -= z;
Console.WriteLine(c);